propellor-5.10.1: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell98

Propellor.Property.OpenId

Synopsis

- providerFor :: [User] -> HostName -> Maybe Port -> Property (HasInfo + DebianLike)

# Documentation

providerFor :: [User] -> HostName -> Maybe Port -> Property (HasInfo + DebianLike) Source #

Openid provider, using the simpleid PHP CGI, with apache.

Runs on usual port by default. When a nonstandard port is specified, apache is limited to listening only on that port. Warning: Specifying a port won't compose well with other apache properties on the same host.

It's probably a good idea to put this property inside a docker or systemd-nspawn container.